%Invoke function TPXO2ROMS_v4pt1.

%lengthSim is the approximate anticipated length of model run (days) (nodal corrections are computed at mid-point).
%fnGrid is your ROMS grid file.
%TPXO2ROMS will write to fnOut.
%The available choices for ROMSnames are:  'MM' 'MF' 'Q1' 'O1' 'P1' 'K1' 'N2' 'M2' 'S2' 'K2' 'MN4' 'M4' 'MS4'
%For example, use ROMSnames={'M2' 'S2' 'MM'}; to use M2, S2, and MM only
%MM, MF, MN4, and MS4 (the 1/6 degree resolution harmonics) are not well-tested (I don't trust them).

clear

%****************Modify to suit*************** 
TIDE_START=16367;  %ROMS daynumber in ROMS *.in file (TIME_REF=-2)
lengthSim=100;  %estimated length of model run in days (not exact) 
fnGrid='/storage0/group/Oceanography/JOHNL/myroms/Projects/DM100/DATA/grd_lidar_DM100.nc'; 
fnOut=['/storage0/group/Oceanography/JOHNL/myroms/Projects/DM100/DATA/frc_TPXO_DM100_' num2str(TIDE_START) '.nc'];
ROMSnames={'Q1' 'O1' 'P1' 'K1' 'N2' 'M2' 'S2' 'K2' 'M4'};  
%********************************************

t0=TIDE_START+datenum(1968,5,23);  %Convert TIDE_START to Matlab daynumber

disp(['Output filename: ' fnOut])

%Check file
if exist(fnOut,'file');
   error('File fnOut exists - must delete it or modify fnOut filename.')
end
%Invoke
TPXO2ROMS_v4pt1(t0,ROMSnames,fnGrid,fnOut,lengthSim)
